package com.kingdee.eas.custom.attendanceexception;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.attendanceexception.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import java.util.Map;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class CenterLeaderRelation extends CoreBillBase implements ICenterLeaderRelation
{
    public CenterLeaderRelation()
    {
        super();
        registerInterface(ICenterLeaderRelation.class, this);
    }
    public CenterLeaderRelation(Context ctx)
    {
        super(ctx);
        registerInterface(ICenterLeaderRelation.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("386C1907");
    }
    private CenterLeaderRelationController getController() throws BOSException
    {
        return (CenterLeaderRelationController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public CenterLeaderRelationCollection getCenterLeaderRelationCollection() throws BOSException
    {
        try {
            return getController().getCenterLeaderRelationCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public CenterLeaderRelationCollection getCenterLeaderRelationCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getCenterLeaderRelationCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public CenterLeaderRelationCollection getCenterLeaderRelationCollection(String oql) throws BOSException
    {
        try {
            return getController().getCenterLeaderRelationCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public CenterLeaderRelationInfo getCenterLeaderRelationInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getCenterLeaderRelationInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public CenterLeaderRelationInfo getCenterLeaderRelationInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getCenterLeaderRelationInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public CenterLeaderRelationInfo getCenterLeaderRelationInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getCenterLeaderRelationInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *获取中心负责人-User defined method
     *@return
     */
    public Map getLeaders() throws BOSException
    {
        try {
            return getController().getLeaders(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}